%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-glance
Version:        12.5.0
Release:        2%{?dist}
Summary:        Puppet module for OpenStack Glance
License:        ASL 2.0

URL:            https://launchpad.net/puppet-glance

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=12.5.0
Patch0001: 0001-Add-node_staging_uri-parameter.patch
Patch0002: 0002-Add-ability-to-configure-enabled_import_methods.patch
Patch0003: 0003-Fix-syntax-for-setting-enabled_import_methods.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Glance

%prep
%setup -q -n openstack-glance-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/glance/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/glance/



%files
%{_datadir}/openstack-puppet/modules/glance/


%changelog
* Wed May 16 2018 Alan Bishop <abishop@redhat.com> 12.5.0-2
- Fix syntax for setting enabled_import_methods (rhbz#1552583)
- Add ability to configure enabled_import_methods (rhbz#1552583)
- Add node_staging_uri parameter (rhbz#1552583)

* Thu Mar 29 2018 RDO <dev@lists.rdoproject.org> 12.5.0-1
- Update to 12.5.0

* Wed Feb 21 2018 RDO <dev@lists.rdoproject.org> 12.4.0-1
- Update to 12.4.0



